package cat.hack3.codingtests.marsrover.commands;


import cat.hack3.codingtests.marsrover.api.RotableRiderRover;
import cat.hack3.codingtests.marsrover.commands.api.RoverCommand;

public class MoveForwardCommand implements RoverCommand {
    private final RotableRiderRover rover;

    public MoveForwardCommand(RotableRiderRover rover) {
        this.rover = rover;
    }

    public void execute() {
        rover.moveTowards(rover.getCurrentDirection());
    }
}
