package cat.hack3.codingtests.marsrover.gps;

import cat.hack3.codingtests.marsrover.cartography.Coordinates;
import cat.hack3.codingtests.marsrover.cartography.PlanetMap;
import cat.hack3.codingtests.marsrover.cartography.PlanetMapInitializer;

import java.util.List;

public class MarsMapInitializer implements PlanetMapInitializer {
    @Override
    public PlanetMap setupNewMap(int height, int width, Coordinates startingCoordinates, List<Coordinates> obstaclesLocalizations) {
        return new MarsMap(height, width, startingCoordinates, obstaclesLocalizations);
    }
    @Override
    public PlanetMap setupNewMap(int height, int width, Coordinates startingCoordinates) {
        return new MarsMap(height, width, startingCoordinates);
    }
}
