package cat.hack3.codingtests.marsrover.api;

import cat.hack3.codingtests.marsrover.cartography.Coordinates;
import cat.hack3.codingtests.marsrover.cartography.Direction;

public interface RotableRiderRover {
    enum Rotation {LEFT, RIGHT}

    void moveTowards(Direction direction);

    void rotateTowards(Rotation rotation);

    Coordinates getCurrentCoordinates();

    Direction getCurrentDirection();
}
