package cat.hack3.codingtests.marsrover.commands;


import cat.hack3.codingtests.marsrover.api.RotableRiderRover;
import cat.hack3.codingtests.marsrover.commands.api.RoverCommand;

import static cat.hack3.codingtests.marsrover.api.RotableRiderRover.Rotation.LEFT;

public class TurnLeftCommand implements RoverCommand {
    private final RotableRiderRover rover;

    public TurnLeftCommand(RotableRiderRover rover) {
        this.rover = rover;
    }

    @Override
    public void execute() {
        rover.rotateTowards(LEFT);
    }
}
